/*
    magick-aux.c - Part of psiconv, a PSION 5 file formats converter
    Copyright (c) 2000  Frodo Looijaard <frodol@dds.nl>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "config.h"

#if IMAGEMAGICK

#include "magick-aux.h"
#include <magick/magick.h>
#include <magick/config.h>

/* This is so ugly, but it is the only way to make ImageMagick 5 behave
 * properly. It really needs a better interface.
 * OpenModules makes sure all needed modules are loaded. But it may not
 * be called until some things are initialized, hence the extra
 * GetMagickInfo call. Ugh.
 */

extern void OpenModules(void);

MagickInfo * GetMagickFileList(void)
{
  GetMagickInfo(NULL);
#if defined(HasLTDL) 
  OpenModules();
#endif
  return GetMagickInfo(NULL);
}

#endif /* IMAGEMAGICK */
